Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.eci.repository.helper
Class Types

    java.lang.Object
      |
      +--com.bea.eci.repository.helper.Types

public class Types
extends java.lang.Object

Definitions used as a bridge between the repository client and the repository. The repository embeds the class name as the object type - this class provides the class names so that repository classes do not have to be provided with client applciations.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `DTD` Entity with "text/plain" content type that is a Document Type Definition.
`static int` | `MFL` Entity with "text/plain" content type that is a Message Format Language document.
`static int` | `NO_CONTENT` No content associated with entity.
`static java.lang.String` | `OBJECT_FOLDER` `com.bea.eci.repository.ObjectFolder`
`static int` | `TEXT` Entity with "text/plain&Quot; content type.
`static int` | `XML` Entity with "application/xml" content type that is an XML document.
`static int` | `XML_SCHEMA` Entity with "text/plain" content type that is an XML Schema document.
`static int` | `XSLT` Entity with "text/plain" content type that is an XML transformation document.

Constructor Summary
`Types()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_FOLDER

    public static final java.lang.String OBJECT_FOLDER

  `com.bea.eci.repository.ObjectFolder`

### NO_CONTENT

    public static final int NO_CONTENT

  No content associated with entity.

### TEXT

    public static final int TEXT

  Entity with "text/plain&Quot; content type.

### DTD

    public static final int DTD

  Entity with "text/plain" content type that is a Document Type Definition.

### XML_SCHEMA

    public static final int XML_SCHEMA

  Entity with "text/plain" content type that is an XML Schema document.

### XML

    public static final int XML

  Entity with "application/xml" content type that is an XML document.

### XSLT

    public static final int XSLT

  Entity with "text/plain" content type that is an XML transformation document.

### MFL

    public static final int MFL

  Entity with "text/plain" content type that is a Message Format Language document.

Constructor Detail

### Types

    public Types()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)